QGIS Application - Bug report #9442
Digitizing broken in QGIS master
2014-01-27 08:13 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee: Jurgen Fischer
Category: Digitising

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18036

Description

It seems that editing broke in QGIS master

Testing on

2.1.0+git20140126+55727f7~precise-ubuntugis

Trying move a node sometimes does nothing and others go crazy by placing the node in the wrong place, very far from the feature being

edited.

Related issues:

Duplicates QGIS Application - Bug report # 9463: move vertex does not work an... Closed

2014-01-30

Associated revisions

Revision 70¢59498 - 2014-01-30 07:17 PM - Jiirgen Fischer

fix QgsGeometry::moveVertex on polygon (fixes #9442)

History

#1 - 2014-01-29 02:46 AM - Denis Rouzaud
- Status changed from Open to Feedback

| can't reproduce with today's master on ubuntu

#2 - 2014-01-29 04:08 AM - Salvatore Larosa

- Subject changed from Digitizing broken in QGIS master (2.1.0+git20140126+55727f7~precise-ubuntugis1) to Digitizing broken in QGIS master

Hi, | can reproduce the issue on my machine (7a9e682),

but only using Polygon features with OGR and Spatialite providers. PostGIS works fine!

#3 - 2014-01-29 11:32 AM - Giovanni Manghi
- Status changed from Feedback to Open

Issued confirmed for shapefiles, PostGIS ok.
#4 - 2014-01-30 07:17 AM - Denis Rouzaud

- Assignee set to Jirgen Fischer

I confirm, It happens with the node tool, and for Postgis (not tested other providers) but for polygons only.

Duplicate with #9463:

the problem seems to be here
https://github.com/qgis/QGIS/blob/master/src/core/ggsgeometry.cpp#L 1201

nPoints is 0, at least this is where it returns false in my case.

#5 - 2014-01-30 10:18 AM - Juirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"70c594984f71f997fe80335e4eac45f3f488f30d".
